html, body{
	background-color: #F2F2F2;
}

.flexcontainer{
display: flex;
justify-content: center;
align-items: center;
height:200px;
}

.parent-container{
	display: flex; 
	background-color: pink;
	width:90%;
	height:380px;
	/*align-items: center;
	justify-content: center;*/

}


.parent{ 
	display: flex; 
    padding:10px;
	border: 1px solid #DF013A;
	flex-direction:column;
	text-align: center;

}

.parent:nth-child(1){

}

.parent:nth-child(2){
	justify-content: center;
}

.parent:nth-child(3){
	justify-content: flex-end;								
}

						
.parent:nth-child(4){
	justify-content: flex-end;
	justify-content: space-between;	
}

.parent:nth-child(5) .child:nth-child(3) { margin-top: auto; }


.parent:nth-child(6) .child:nth-child(3) {flex: auto; }

.parent:nth-child(7) .child{flex: auto; }

.parent:nth-child(8) .child{flex: none; }



.parent:nth-child(10),.parent:nth-child(11) { 
	background-color: red;
	flex: auto;
	width:90%;
}



.child { 
	width: 50px;
    height: 50px; 

}

.child:nth-child(1){
	background-color: #A9F5F2;

}

.child:nth-child(2){
	background-color:#58FAD0;
}

.child:nth-child(3){
	background-color:#00FFBF;
}

.child:nth-child(4){
	background-color:#58FAD0;
}

.child:nth-child(5){
	background-color:#58FAD0;
}



